<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celPcCameraCommon Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celPcCameraCommon Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celPcCameraCommon" --><!-- doxytag: inherits="celPcCommon" -->
<p>The representation of a camera.  
 <a href="structcelPcCameraCommon.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celtool_2camera_8h_source.html">celtool/camera.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celPcCameraCommon:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structcelPcCameraCommon.png" usemap="#celPcCameraCommon_map" alt=""/>
  <map id="celPcCameraCommon_map" name="celPcCameraCommon_map">
<area href="classcelPcCommon.html" title="This is a common implementation for a property class from which all other property classes can inheri..." alt="celPcCommon" shape="rect" coords="668,168,1326,192"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation4.html" alt="scfImplementation4&lt; celPcCommon, iCelPropertyClass, iCelTimerListener, iMessageSender, iMessageReceiver &gt;" shape="rect" coords="668,112,1326,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="668,56,1326,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,658,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="668,0,1326,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="1336,0,1994,24"/>
</map>
 </div></div>

<p><a href="structcelPcCameraCommon-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelPcCameraCommon.html#aba81472e6b8045d4871ee100f2cb3200">LoadCommon</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">In the Load() implementation of the subclass you can call this function to load the common data members.  <a href="#aba81472e6b8045d4871ee100f2cb3200"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelPcCameraCommon.html#a08d939b102e0dd4991c85ff4674a9e5e">SaveCommon</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">In the Save() implementation of the subclass you can call this function to save the common data members.  <a href="#a08d939b102e0dd4991c85ff4674a9e5e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The representation of a camera. </p>

<p>Definition at line <a class="el" href="celtool_2camera_8h_source.html#l00048">48</a> of file <a class="el" href="celtool_2camera_8h_source.html">camera.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aba81472e6b8045d4871ee100f2cb3200"></a><!-- doxytag: member="celPcCameraCommon::LoadCommon" ref="aba81472e6b8045d4871ee100f2cb3200" args="(iCelDataBuffer *databuf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structcelPcCameraCommon.html#aba81472e6b8045d4871ee100f2cb3200">celPcCameraCommon::LoadCommon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>In the Load() implementation of the subclass you can call this function to load the common data members. </p>
<p>Returns false on failure. </p>

</div>
</div>
<a class="anchor" id="a08d939b102e0dd4991c85ff4674a9e5e"></a><!-- doxytag: member="celPcCameraCommon::SaveCommon" ref="a08d939b102e0dd4991c85ff4674a9e5e" args="(iCelDataBuffer *databuf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structcelPcCameraCommon.html#a08d939b102e0dd4991c85ff4674a9e5e">celPcCameraCommon::SaveCommon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>In the Save() implementation of the subclass you can call this function to save the common data members. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>celtool/<a class="el" href="celtool_2camera_8h_source.html">camera.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
